<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="tour-events" xml:lang="sv">

  <info>
    <link type="next" xref="tour-get_object"/>
    <revision version="0.1" date="2013-06-17" status="stub"/>

    <credit type="author copyright">
      <name>Ekaterina Gerasimova</name>
      <email its:translate="no">kittykat3756@gmail.com</email>
      <years>2013</years>
    </credit>
    <credit type="author copyright">
      <name>Gordon Hill</name>
      <email its:translate="no">caseyweederman@gmail.com</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Bind funktioner till händelser med Lang.</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Daniel Nylander</mal:name>
      <mal:email>po@danielnylander.se</mal:email>
      <mal:years>2007</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Anders Jonsson</mal:name>
      <mal:email>anders.jonsson@norsjovallen.se</mal:email>
      <mal:years>2017, 2018</mal:years>
    </mal:credit>
  </info>

  <title>Åtgärder och signaler</title>

  <links type="prevnext" style="top"/>
  <links type="series" style="floatend">
    <title>Kom igång med GNOME</title>
  </links>

  <p>Gtk har en uppsättning fördefinierade händelser som du kan använda i ditt program.</p>
  <example>
    <p>Deklarera <code>HelloWorld</code> som en ny klass.</p>

    <code>
class HelloWorld {
</code>

    <p><code>constructor</code> anropas då en ny instans skapas. Skapa en <code>GtkApplication</code>, anslut sedan <code>activate</code> till den befintliga Gtk-händelsen <code>_onActivate</code> och <code>startup</code> till <code>_onStartup</code>:</p>

    <code>
    constructor() {
        this.application = new Gtk.Application();
        this.application.connect('activate', this._onActivate.bind(this));
        this.application.connect('startup', this._onStartup.bind(this));
    }
</code>

    <p>Visa fönstret vid programaktivering:</p>
    <code>
    _onActivate() {
        this._window.show_all();
    }
</code>
  </example>
  <links type="prevnext"/>
</page>
